(examples)=
# Examples

## Tutorials

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`examples-tutorial-paths`
:text-align: center
:link: examples-tutorial-paths
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_tutorial_paths.png
:::

:::{grid-item-card} {ref}`examples-tutorial-field-computation`
:text-align: center
:link: examples-tutorial-field-computation
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_tutorial_field_computation.png
:::

:::{grid-item-card} {ref}`examples-tutorial-collection`
:text-align: center
:link: examples-tutorial-collection
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_tutorial_collection.png
:::

:::{grid-item-card} {ref}`examples-tutorial-custom`
:text-align: center
:link: examples-tutorial-custom
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_tutorial_custom.png
:::

:::{grid-item-card} {ref}`examples-tutorial-modelling-magnets`
:text-align: center
:link: examples-tutorial-modelling-magnets
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_tutorial_modelling_magnets.png
:::

::::


## Visualizations

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`examples-vis-magnet-colors`
:text-align: center
:link: examples-vis-magnet-colors
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_vis_magnet_colors.png
:::

:::{grid-item-card} {ref}`examples-vis-animations`
:text-align: center
:link: examples-vis-animations
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_vis_animations.png
:::

:::{grid-item-card} {ref}`examples-vis-subplots`
:text-align: center
:link: examples-vis-subplots
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_vis_subplots.png
:::

:::{grid-item-card} {ref}`examples-vis-mpl-streamplot`
:text-align: center
:link: examples-vis-mpl-streamplot
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_vis_mpl_streamplot.png
:::

:::{grid-item-card} {ref}`examples-vis-pv-streamlines`
:text-align: center
:link: examples-vis-pv-streamlines
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_vis_pv_streamlines.png
:::



::::

(examples-complex-magnet-shapes)=
## Complex Magnet Shapes

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`examples-shapes-superpos`
:text-align: center
:link: examples-shapes-superpos
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_shapes_superpos.png
:::

:::{grid-item-card} {ref}`examples-shapes-convex-hull`
:text-align: center
:link: examples-shapes-convex-hull
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_shapes_convex_hull.png
:::

:::{grid-item-card} {ref}`examples-shapes-triangle`
:text-align: center
:link: examples-shapes-triangle
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_shapes_triangle.png
:::

:::{grid-item-card} {ref}`examples-shapes-pyvista`
:text-align: center
:link: examples-shapes-pyvista
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_shapes_pyvista.png
:::

:::{grid-item-card} {ref}`examples-shapes-cad`
:text-align: center
:link: examples-shapes-cad
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_shapes_cad.png
:::

::::


## Miscellaneous

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`examples-misc-compound`
:text-align: center
:link: examples-misc-compound
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_misc_compound.png
:::

:::{grid-item-card} {ref}`examples-misc-field-interpolation`
:text-align: center
:link: examples-misc-field-interpolation
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_misc_field_interpolation.png
:::

:::{grid-item-card} {ref}`examples-misc-inhom`
:text-align: center
:link: examples-misc-inhom
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_misc_inhom.png
:::

::::


## Applications

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`examples-app-end-of-shaft`
:text-align: center
:link: examples-app-end-of-shaft
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_app_end_of_shaft.png
:::

:::{grid-item-card} {ref}`examples-app-halbach`
:text-align: center
:link: examples-app-halbach
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_app_halbach.png
:::

:::{grid-item-card} {ref}`examples-app-helmholtz`
:text-align: center
:link: examples-app-helmholtz
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_app_helmholtz.png
:::

:::{grid-item-card} {ref}`examples-app-scales`
:text-align: center
:link: examples-app-scales
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_WIP.png
:::

::::

## Magpylib-Force

::::{grid} 2 3 4 4
:gutter: 4

:::{grid-item-card} {ref}`examples-force-force`
:text-align: center
:link: examples-force-force
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_force_force.png
:::

:::{grid-item-card} {ref}`examples-force-haftkraft`
:text-align: center
:link: examples-force-haftkraft
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_force_haftkraft.png
:::

:::{grid-item-card} {ref}`examples-force-floating`
:text-align: center
:link: examples-force-floating
:link-type: ref
:link-alt: link to example
:img-bottom: ../../../_static/images/examples_icon_force_floating.png
:::

::::


```{toctree}
:maxdepth: 2
:hidden:

examples_tutorial_paths.md
examples_tutorial_field_computation.md
examples_tutorial_collection.md
examples_tutorial_custom.md
examples_tutorial_modelling_magnets.md

examples_vis_magnet_colors.md
examples_vis_animations.md
examples_vis_subplots.md
examples_vis_mpl_streamplot.md
examples_vis_pv_streamlines.md

examples_shapes_superpos.md
examples_shapes_convex_hull.md
examples_shapes_triangle.md
examples_shapes_pyvista.md
examples_shapes_cad.md

examples_misc_compound.md
examples_misc_field_interpolation.md
examples_misc_inhom.md

examples_app_end_of_shaft.md
examples_app_halbach.md
examples_app_coils.md
examples_app_scales.md

examples_force_force.md
examples_force_haftkraft.md
examples_force_floating.md
```

